import { EasingType } from "@tsparticles/engine";
export async function loadEasingCubicPlugin(engine, refresh = true) {
    engine.checkVersion("3.8.1");
    await engine.addEasing(EasingType.easeInCubic, value => value ** 3, false);
    await engine.addEasing(EasingType.easeOutCubic, value => 1 - (1 - value) ** 3, false);
    await engine.addEasing(EasingType.easeInOutCubic, value => (value < 0.5 ? 4 * value ** 3 : 1 - (-2 * value + 2) ** 3 / 2), false);
    await engine.refresh(refresh);
}
