"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadEasingCubicPlugin = loadEasingCubicPlugin;
const engine_1 = require("@tsparticles/engine");
async function loadEasingCubicPlugin(engine, refresh = true) {
    engine.checkVersion("3.8.1");
    await engine.addEasing(engine_1.EasingType.easeInCubic, value => value ** 3, false);
    await engine.addEasing(engine_1.EasingType.easeOutCubic, value => 1 - (1 - value) ** 3, false);
    await engine.addEasing(engine_1.EasingType.easeInOutCubic, value => (value < 0.5 ? 4 * value ** 3 : 1 - (-2 * value + 2) ** 3 / 2), false);
    await engine.refresh(refresh);
}
